Bug 107753 - [CI][DRMTIP] igt@gem_pwrite@huge-cpu-forwards - dmesg-fail - gem_pwrite: page allocation failure
Summary: [CI][DRMTIP] igt@gem_pwrite@huge-cpu-forwards - dmesg-fail - gem_pwrite: page...
Status: RESOLVED WONTFIX
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: medium normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-30 13:31 UTC by Martin Peres
Modified: 2019-06-13 06:16 UTC (History)
1 user (show)

See Also:
i915 platform: PNV
i915 features: GEM/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2018-08-30 13:31:52 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_87/fi-pnv-d510/igt@gem_pwrite@huge-cpu-forwards.html

[  957.424058] gem_pwrite: page allocation failure: order:0, mode:0x6204d2(GFP_HIGHUSER|__GFP_RETRY_MAYFAIL|__GFP_RECLAIMABLE), nodemask=(null)
[  957.424413] CPU: 0 PID: 1589 Comm: gem_pwrite Tainted: G     U            4.18.0-rc4-g1a9b9e1bf951-drmtip_87+ #1
[  957.424427] Hardware name:  /D510MO, BIOS MOPNV10J.86A.0311.2010.0802.2346 08/02/2010
[  957.424441] Call Trace:
[  957.424467]  dump_stack+0x67/0x9b
[  957.424493]  warn_alloc+0xee/0x170
[  957.424545]  ? __mutex_unlock_slowpath+0x46/0x2b0
[  957.424588]  __alloc_pages_nodemask+0xe61/0x1230
[  957.424683]  shmem_alloc_and_acct_page+0x75/0x1d0
[  957.424714]  shmem_getpage_gfp.isra.8+0x167/0xc90
[  957.424797]  shmem_read_mapping_page_gfp+0x3e/0x70
[  957.425006]  i915_gem_object_get_pages_gtt+0x1cd/0x620 [i915]
[  957.425178]  ____i915_gem_object_get_pages+0x1d/0xa0 [i915]
[  957.425178]  __i915_gem_object_get_pages+0x59/0xb0 [i915]
[  957.425178]  i915_gem_set_domain_ioctl+0x35e/0x430 [i915]
[  957.425178]  ? i915_gem_obj_prepare_shmem_write+0x280/0x280 [i915]
[  957.425178]  drm_ioctl_kernel+0x7c/0xf0
[  957.425178]  drm_ioctl+0x2e6/0x3a0
[  957.425178]  ? i915_gem_obj_prepare_shmem_write+0x280/0x280 [i915]
[  957.425178]  ? list_lru_add+0x77/0x150
[  957.425178]  do_vfs_ioctl+0xa0/0x6d0
[  957.425178]  ? lock_acquire+0xa6/0x210
[  957.425178]  ksys_ioctl+0x35/0x60
[  957.425178]  __x64_sys_ioctl+0x11/0x20
[  957.425178]  do_syscall_64+0x55/0x190
[  957.425178]  entry_SYSCALL_64_after_hwframe+0x49/0xbe
[  957.425178] RIP: 0033:0x7fbc81e7c5d7
[  957.425178] Code: b3 66 90 48 8b 05 b1 48 2d 00 64 c7 00 26 00 00 00 48 c7 c0 ff ff ff ff c3 66 2e 0f 1f 84 00 00 00 00 00 b8 10 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 81 48 2d 00 f7 d8 64 89 01 48 
[  957.425178] RSP: 002b:00007fffabee5aa8 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
[  957.425178] RAX: ffffffffffffffda RBX: 0000000000000000 RCX: 00007fbc81e7c5d7
[  957.425178] RDX: 00007fffabee5afc RSI: 00000000400c645f RDI: 0000000000000003
[  957.425178] RBP: 00007fffabee5afc R08: 0000000000000000 R09: 0000000000000032
[  957.425178] R10: 0000000000000051 R11: 0000000000000246 R12: 00000000400c645f
[  957.425178] R13: 0000000000000003 R14: 0000000000000000 R15: 0000000000000000
[  957.427631] Mem-Info:
[  957.427663] active_anon:71630 inactive_anon:129677 isolated_anon:1323
                active_file:130 inactive_file:0 isolated_file:0
                unevictable:0 dirty:0 writeback:0 unstable:0
                slab_reclaimable:6762 slab_unreclaimable:12210
                mapped:124 shmem:130996 pagetables:1564 bounce:0
                free:12056 free_pcp:36 free_cma:0
[  957.427686] Node 0 active_anon:286520kB inactive_anon:518808kB active_file:520kB inactive_file:0kB unevictable:0kB isolated(anon):5292kB isolated(file):0kB mapped:496kB dirty:0kB writeback:0kB shmem:523984kB shmem_thp: 0kB shmem_pmdmapped: 0kB anon_thp: 120832kB writeback_tmp:0kB unstable:0kB all_unreclaimable? yes
[  957.427708] DMA free:4408kB min:744kB low:928kB high:1112kB active_anon:11276kB inactive_anon:192kB active_file:0kB inactive_file:0kB unevictable:0kB writepending:0kB present:15984kB managed:15900kB mlocked:0kB kernel_stack:0kB pagetables:24kB bounce:0kB free_pcp:0kB local_pcp:0kB free_cma:0kB
[  957.427717] lowmem_reserve[]: 0 923 923 923
[  957.427779] DMA32 free:43816kB min:44308kB low:55384kB high:66460kB active_anon:275244kB inactive_anon:518616kB active_file:520kB inactive_file:0kB unevictable:0kB writepending:0kB present:1015244kB managed:949956kB mlocked:0kB kernel_stack:3088kB pagetables:6232kB bounce:0kB free_pcp:144kB local_pcp:0kB free_cma:0kB
[  957.427788] lowmem_reserve[]: 0 0 0 0
[  957.427857] DMA: 2*4kB (UM) 0*8kB 1*16kB (M) 3*32kB (UM) 3*64kB (UME) 2*128kB (UM) 3*256kB (UME) 2*512kB (ME) 2*1024kB (UE) 0*2048kB 0*4096kB = 4408kB
[  957.428195] DMA32: 1764*4kB (UME) 1039*8kB (UME) 628*16kB (M) 341*32kB (M) 103*64kB (UM) 3*128kB (UM) 0*256kB 1*512kB (M) 0*1024kB 0*2048kB 0*4096kB = 43816kB
[  957.428455] 133279 total pagecache pages
[  957.428478] 2114 pages in swap cache
[  957.428489] Swap cache stats: add 22031, delete 19917, find 5458/8068
[  957.428498] Free swap  = 980220kB
[  957.428510] Total swap = 1030140kB
[  957.428524] 257807 pages RAM
[  957.428537] 0 pages HighMem/MovableOnly
[  957.428550] 16343 pages reserved

This is likely related to https://bugs.freedesktop.org/show_bug.cgi?id=106954
Comment 1 Martin Peres 2018-11-15 14:11:54 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_142/fi-pnv-d510/igt@gem_userptr_blits@coherency-sync.html

<6> [335.233517] perf: interrupt took too long (5148 > 5093), lowering kernel.perf_event_max_sample_rate to 38000
<4> [338.983807] gem_userptr_bli: page allocation failure: order:0, mode:0x40d0(__GFP_IO|__GFP_FS|__GFP_COMP|__GFP_RECLAIMABLE), nodemask=(null)
<4> [338.983807] CPU: 0 PID: 1197 Comm: gem_userptr_bli Tainted: G     U            4.20.0-rc2-g68c169139ed5-drmtip_142+ #1
<4> [338.983807] Hardware name:  /D510MO, BIOS MOPNV10J.86A.0311.2010.0802.2346 08/02/2010
<4> [338.983807] Call Trace:
<4> [338.983807]  dump_stack+0x67/0x9b
<4> [338.983807]  warn_alloc+0xee/0x170
<4> [338.983807]  __alloc_pages_nodemask+0xe2d/0x1160
<4> [338.983807]  ? new_slab+0x230/0x550
<4> [338.983807]  ? ___slab_alloc.constprop.34+0x33b/0x380
<4> [338.983807]  new_slab+0x230/0x550
<4> [338.983807]  ___slab_alloc.constprop.34+0x2d3/0x380
<4> [338.983807]  ? xas_nomem+0x38/0x50
<4> [338.983807]  ? xas_alloc+0x7e/0xa0
<4> [338.983807]  ? rcu_read_lock_sched_held+0x6f/0x80
<4> [338.983807]  ? kmem_cache_alloc+0x24d/0x280
<4> [338.983807]  ? xas_nomem+0x38/0x50
<4> [338.983807]  ? __slab_alloc.isra.27.constprop.33+0x3d/0x70
<4> [338.983807]  __slab_alloc.isra.27.constprop.33+0x3d/0x70
<4> [338.983807]  ? xas_nomem+0x38/0x50
<4> [338.983807]  kmem_cache_alloc+0x21c/0x280
<4> [338.983807]  xas_nomem+0x38/0x50
<4> [338.983807]  add_to_swap_cache+0x2ae/0x350
<4> [338.983807]  __read_swap_cache_async+0xed/0x1d0
<4> [338.983807]  read_swap_cache_async+0x23/0x60
<4> [338.983807]  swap_cluster_readahead+0x21c/0x250
<4> [338.983807]  ? _raw_spin_unlock+0x29/0x40
<4> [338.983807]  ? shmem_swapin+0x7b/0xa0
<4> [338.983807]  shmem_swapin+0x7b/0xa0
<4> [338.983807]  ? find_get_entry+0x1b5/0x2f0
<4> [338.983807]  shmem_getpage_gfp.isra.8+0x76f/0xdb0
<4> [338.983807]  shmem_read_mapping_page_gfp+0x3e/0x70
<4> [338.983807]  i915_gem_object_get_pages_gtt+0x203/0x680 [i915]
<4> [338.983807]  ? __i915_gem_object_get_pages+0x18/0xb0 [i915]
<4> [338.983807]  ? lock_acquire+0xa6/0x1c0
<4> [338.983807]  ____i915_gem_object_get_pages+0x1d/0xa0 [i915]
<4> [338.983807]  __i915_gem_object_get_pages+0x59/0xb0 [i915]
<4> [338.983807]  i915_gem_pread_ioctl+0x484/0x920 [i915]
<4> [338.983807]  ? drm_dev_get+0x20/0x20
<4> [338.983807]  ? drm_dev_enter+0x90/0x90
<4> [338.983807]  ? i915_gem_object_get_page+0xc0/0xc0 [i915]
<4> [338.983807]  drm_ioctl_kernel+0x81/0xf0
<4> [338.983807]  drm_ioctl+0x2de/0x390
<4> [338.983807]  ? i915_gem_object_get_page+0xc0/0xc0 [i915]
<4> [338.983807]  ? _raw_spin_unlock+0x29/0x40
<4> [338.983807]  ? __handle_mm_fault+0x80a/0xfa0
<4> [338.983807]  do_vfs_ioctl+0xa0/0x6e0
<4> [338.983807]  ? lock_acquire+0xa6/0x1c0
<4> [338.983807]  ? __task_pid_nr_ns+0xb9/0x1f0
<4> [338.983807]  ksys_ioctl+0x35/0x60
<4> [338.983807]  __x64_sys_ioctl+0x11/0x20
<4> [338.983807]  do_syscall_64+0x55/0x190
<4> [338.983807]  entry_SYSCALL_64_after_hwframe+0x49/0xbe
<4> [338.983807] RIP: 0033:0x7fdbfd4355d7
<4> [338.983807] Code: b3 66 90 48 8b 05 b1 48 2d 00 64 c7 00 26 00 00 00 48 c7 c0 ff ff ff ff c3 66 2e 0f 1f 84 00 00 00 00 00 b8 10 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 81 48 2d 00 f7 d8 64 89 01 48
<4> [338.983807] RSP: 002b:00007ffc9bd67908 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
<4> [338.983807] RAX: ffffffffffffffda RBX: 0000564a0ffc4ff8 RCX: 00007fdbfd4355d7
<4> [338.983807] RDX: 00007ffc9bd67970 RSI: 000000004020645c RDI: 0000000000000005
<4> [338.983807] RBP: 00007ffc9bd67970 R08: 0000000000100000 R09: 00007fdbfd48d8f0
<4> [338.983807] R10: 6e69796669726556 R11: 0000000000000246 R12: 000000004020645c
<4> [338.983807] R13: 0000000000000005 R14: 0000000000000000 R15: 0000000000000000
<4> [338.983807] Mem-Info:
<4> [338.983807] active_anon:98514 inactive_anon:99269 isolated_anon:32\x0a active_file:4316 inactive_file:1580 isolated_file:0\x0a unevictable:0 dirty:13 writeback:118 unstable:0\x0a slab_reclaimable:6532 slab_unreclaimable:12060\x0a mapped:5844 shmem:82491 pagetables:1421 bounce:0\x0a free:12046 free_pcp:165 free_cma:0
<4> [338.983807] Node 0 active_anon:394056kB inactive_anon:397076kB active_file:17264kB inactive_file:6320kB unevictable:0kB isolated(anon):128kB isolated(file):0kB mapped:23376kB dirty:52kB writeback:472kB shmem:329964kB shmem_thp: 0kB shmem_pmdmapped: 0kB anon_thp: 278528kB writeback_tmp:0kB unstable:0kB all_unreclaimable? no
<4> [338.983807] DMA free:4404kB min:744kB low:928kB high:1112kB active_anon:11188kB inactive_anon:0kB active_file:308kB inactive_file:0kB unevictable:0kB writepending:0kB present:15984kB managed:15900kB mlocked:0kB kernel_stack:0kB pagetables:0kB bounce:0kB free_pcp:0kB local_pcp:0kB free_cma:0kB
<4> [338.983807] lowmem_reserve[]: 0 921 921 921
<4> [338.983807] DMA32 free:43780kB min:44308kB low:55384kB high:66460kB active_anon:382576kB inactive_anon:398008kB active_file:16956kB inactive_file:6320kB unevictable:0kB writepending:124kB present:1015244kB managed:947640kB mlocked:0kB kernel_stack:2288kB pagetables:5684kB bounce:0kB free_pcp:660kB local_pcp:612kB free_cma:0kB
<4> [338.983807] lowmem_reserve[]: 0 0 0 0
<4> [338.983807] DMA: 1*4kB (U) 2*8kB (UM) 2*16kB (UM) 2*32kB (U) 1*64kB (U) 1*128kB (U) 2*256kB (UM) 1*512kB (M) 1*1024kB (U) 1*2048kB (E) 0*4096kB = 4404kB
<4> [338.983807] DMA32: 563*4kB (UE) 582*8kB (UE) 565*16kB (UE) 66*32kB (UME) 7*64kB (ME) 120*128kB (ME) 27*256kB (UME) 3*512kB (UM) 2*1024kB (M) 0*2048kB 0*4096kB = 44364kB
<6> [338.983807] Node 0 hugepages_total=0 hugepages_free=0 hugepages_surp=0 hugepages_size=2048kB
<4> [338.983807] 88980 total pagecache pages
<4> [338.983807] 571 pages in swap cache
<4> [338.983807] Swap cache stats: add 1074869, delete 1074343, find 419188/480594
<4> [338.983807] Free swap  = 1002748kB
<4> [338.983807] Total swap = 1030140kB
<4> [338.983807] 257807 pages RAM
<4> [338.983807] 0 pages HighMem/MovableOnly
<4> [338.983807] 16922 pages reserved
<4> [338.983807] SLUB: Unable to allocate memory on node -1, gfp=0xc0(__GFP_IO|__GFP_FS)
<4> [338.983807]   cache: radix_tree_node, object size: 576, buffer size: 912, default order: 2, min order: 0
<4> [338.983807]   node 0: slabs: 171, objs: 2907, free: 19
<6> [367.674486] [IGT] gem_userptr_blits: exiting, ret=0
Comment 2 CI Bug Log 2019-01-28 09:17:42 UTC
A CI Bug Log filter associated to this bug has been updated:

{- PNV: igt@gem_userptr_blits@coherency-sync - dmesg-warn - gem_userptr_bli: page allocation failure -}
{+ PNV: igt@gem_userptr_blits@coherency-sync|unsync - dmesg-warn - gem_userptr_bli: page allocation failure +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_196/fi-pnv-d510/igt@gem_userptr_blits@coherency-unsync.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_178/fi-pnv-d510/igt@gem_userptr_blits@coherency-unsync.html
Comment 3 Chris Wilson 2019-02-21 12:39:32 UTC
The warn is not easily fixed; no data lost and no error detected, same as for bug 109718.

One day, maybe.
Comment 4 CI Bug Log 2019-06-03 08:24:36 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* PNV: igt@gem_cpu_reloc@forked - dmesg-warn - page allocation failure
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_299/fi-pnv-d510/igt@gem_cpu_reloc@forked.html
Comment 5 CI Bug Log 2019-06-13 06:16:28 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* PNV: igt@gen3_render_linear_blits - dmesg-warn - page allocation failure
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_305/fi-pnv-d510/igt@gen3_render_linear_blits.html


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.